<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();

$modelo=$sessao->getVar('controle');
$finalidade=$sessao->getVar('finalidade');
$nomeRequerente=$sessao->getVar('controle2');
$idRequerente=$sessao->getVar('idProdutor');

$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$limite=$sessao->getVar('controle');//numerro de colunas
$controle1=$sessao->getVar('controle1');//titullo do documento
$controle3=$sessao->getVar('controle3');//titulos das colunas
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;
$finalidade=$sessao->getVar('finalidade');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$vetorCabecalho=$objetocalculo->dadoslaboratorio();

 $linhas=file("impdetail.txt",0); //abre o arquivo no arry linhas
 $tama=sizeof($linhas);

	 for($i=0;$i<$tama;$i++)
	 {
    	 $reg=explode(":",$linhas[$i]);
         $matrizConteudo[$i+1][1]=$reg[0];
		 $matrizConteudo[$i+1][2]=$reg[1];
		 $matrizConteudo[$i+1][3]=$reg[2];
		 $matrizConteudo[$i+1][4]=$reg[3];
		 $matrizConteudo[$i+1][5]=$reg[4];
		 $matrizConteudo[$i+1][6]=$reg[5];
	 }
	 
$linhaPorRelatorio=40;	 
$variavelSingle=$tama/$linhaPorRelatorio;//pode dar por exemplo 1.4 
$lupes=ceil($variavelSingle);

$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',7);
			 $pdf->SetDrawColor(10,10,10);
			 
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 //$maximoLAdobe=297;//isso para horizontal
			 //$maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     //$fonte="Arial";
			 $nomeOperador=5;
				 $pdf->AddPage();//adicionando a primera pafina 
 
			 //cabecalho
			 	$posicaoCab1=60;$posicaoCab2=245;
	            $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
	            $pdf->Image($caminhoFinal,11,3,48,23,'JPG');
				$pdf->setXY($posicaoCab1,$cota1);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[0]),0,1,'L');//lab nome
     			$pdf->setXY($posicaoCab1,$cota1+5);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[1]),0,1,'L');//lab nome
     			$pdf->setXY($posicaoCab1,$cota1+10);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[2]),0,1,'L');//lab nome
     			$pdf->setXY($posicaoCab1,$cota1+15);$pdf->Cell(140,5,'Requerente:'.utf8_decode($produtor),0,1,'L');//lab nome
				
                $pdf->setFont('Arial','B','9');
			    $pdf->setXY($margemEsquerda,$cota1+28);$pdf->Cell(150,5,utf8_decode($controle1),1,0,'C');//lab nome
                $pdf->setFont('Arial','','8');		 
			 
			 	$sessao->setVar("controle1","Demonstrativo de cliente ".$nomeRequerente);
			 
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
            // list($titulo1, $titulo2, $titulo3, $titulo4, $titulo5, $titulo6) = explode(":", $controle3);//
			$matriz_mensal[1]="01-Janeiro";
	        $matriz_mensal[2]="02-Fevereiro";
	        $matriz_mensal[3]="03-Março";
	        $matriz_mensal[4]="04-Abril";
	        $matriz_mensal[5]="05-Maio";
	        $matriz_mensal[6]="06-Junho";
	        $matriz_mensal[7]="07-Julho";
	        $matriz_mensal[8]="08-Agosto";
	        $matriz_mensal[9]="09-Setembro";
	        $matriz_mensal[10]="10-Outubro";
	        $matriz_mensal[11]="11-Novembro";
	        $matriz_mensal[12]="12-Dezembro";
            
			$cota1=40;
    		$pdf->setXY($margemEsquerda,$cota1);
			$pdf->Cell(20,5,'Mes',1,0,'L');//mes
			$pdf->Cell(20,5,'de',1,0,'L');//mes
			$pdf->Cell(20,5,utf8_decode('até'),1,0,'L');//mes
			$pdf->Cell(20,5,'Num.',1,0,'L');//mes
			$pdf->Cell(20,5,'Custo',1,0,'L');//mes
			$pdf->Cell(20,5,'Pagou',1,0,'L');//mes
			$pdf->Cell(20,5,'Saldo',1,1,'L');//mes
			$totalAmostras=0;
			$totalDevido=0;
			$totalPago=0;
           for($mes=1;$mes<=12;$mes++):
	           //imprime o mes
               //vai achar as amostras do mes
			   $mesFormatado=number_format($mes/10,1,'','');

               //Vai investigar tudo no mes
				$custo=0;
				$userAmostra=new tabelagenerica();
				$userAmostra->extras_select =" select fic_pagou,fic_id,fic_amostra,fic_pagou_extra,fic_tta_complementar from ficha where  YEAR(fic_dt_entrada) = '". $anoCorrente."'  AND MONTH(fic_dt_entrada)='".$mesFormatado."' and fic_produtor=".$idRequerente;
				$userAmostra->selecionaCamposEspecial($userAmostra);
			    $testes="";
				//while ($resgenerica1= $generica1->retornaDados()):
				    //$testes=$testes.$resgenerica1->tes_teste.'; ';//
				//endwhile;
				$somaQuitacoes=0;
				$contador=0;
				$somaCusto=0;
				$maior=0;
				$menor=20000;
			    while ($resAmostra = $userAmostra->retornaDados()):
                    //pesquisa a menor e a maior
					$amostra=$resAmostra->fic_amostra;
					if($amostra>$maior)$maior=$amostra;
					if($amostra<$menor)$menor=$amostra;

			        $amostraLong=$resAmostra->fic_id;
					$testes=$objetocalculo->capturaTestesSolicitados($amostraLong);	
					$pagamento=$resAmostra->fic_pagou; 
					$pagamentoExtra=$resAmostra->fic_pagou_extra; 
		            $custo=$objetocalculo->calculaCusto($amostraLong);
                    $custoExtra=$resAmostra->fic_tta_complementar;
					//$somaCustos=$custo+$custoExtra;
					$custoUmaAmostra=$custo+ $custoExtra;
                    $custoMensal+=$custoUmaAmostra; 
				    
					if($pagamento=="SIM"):
				       $somaQuitacoes+=$custo;
				       $totalPago+=$custo;
					endif;
					if($pagamentoExtra=="SIM"):
				       $somaQuitacoes+=$custoExtra;
				       $totalPago+=$custoExtra;
					endif;

		            $somaCusto+=$custoUmaAmostra;
                    $totalDevido+=$custo+$custoExtra;
                    $totalAmostras++;
                    $contador++;
			    endwhile;
				$maiorFinal='-';				
				$menorFinal='-';				
			    if($menor!=20000)$menorFinal=$menor;
			    if($maior!=0)$maiorFinal=$maior;
			   $saldo=$somaCusto-$somaQuitacoes;
			   $pdf->Cell(20,5,utf8_decode($matriz_mensal[$mes]),1,0,'L');//mes
			   $pdf->Cell(20,5,$menorFinal,1,0,'L');//lab nome
			   $pdf->Cell(20,5,$maiorFinal,1,0,'L');//lab nome
			   $pdf->Cell(20,5,$contador,1,0,'L');//lab nome
			   $pdf->Cell(20,5,$somaCusto,1,0,'L');//lab nome
			   $pdf->Cell(20,5,$somaQuitacoes,1,0,'L');//lab nome
			   $pdf->Cell(20,5,$saldo,1,1,'L');//lab nome
			   //fim da investigacao do mes
		   endfor;
               //imprime os totais   
			   $saldo=$custoMensal-$totalPago;
			   $pdf->Cell(20,5,'Totais:',1,0,'L');//mes
			   $pdf->Cell(20,5,'-',1,0,'L');//lab nome
			   $pdf->Cell(20,5,'-',1,0,'L');//lab nome
			   $pdf->Cell(20,5,$totalAmostras,1,0,'L');//lab nome
			   $pdf->Cell(20,5,$custoMensal,1,0,'L');//lab nome
			   $pdf->Cell(20,5,$totalPago,1,0,'L');//lab nome
			   $pdf->Cell(20,5,$saldo,1,1,'L');//lab nome
		    
			$cota1=120;
    		$pdf->setXY($margemEsquerda,$cota1);
			$pdf->Cell(20,5,utf8_decode("Data"),1,0,'C',1);//
			$pdf->Cell(20,5,utf8_decode("Valor"),1,0,'C',1);//
			$pdf->Cell($larguraUtil-60,5,utf8_decode("Histórico dos pagamentos"),1,0,'C',1);//
			$pdf->Cell(20,5,utf8_decode("Operador"),1,1,'C',1);//
            //mostra los pagamientos  
				//ENTRA DE QUAKQUER MANEIRA
				$generica1=new tabelagenerica();
				$generica1->tabela="pagamento";
				$generica1->campos_valores = array(
						"pag_valor" => NULL,
						"pag_historico" => NULL,
						"pag_datacad" => NULL,
						"pag_operador" => NULL,
				);
				$generica1->extras_select =" where  pag_id_cliente=".$idRequerente;
			    $generica1->selecionaCampos($generica1);
				///////////////
                $somaPagamentos=0;  				
				while ($resgenerica1 = $generica1->retornaDados()):
				    $somaPagamento+=$resgenerica1->pag_valor;
			        $pdf->Cell(20,5,date("d/m/y",strtotime($resgenerica1->pag_datacad)),1,0,'L');//lab nome
			        $pdf->Cell(20,5,$resgenerica1->pag_valor,1,0,'L');//lab nome
			        $somaPagamentos+=$resgenerica1->pag_valor;//
			        $pdf->Cell(134,5,$resgenerica1->pag_historico,1,0,'L');//
			        $pdf->Cell(20,5,$resgenerica1->pag_operador,1,1,'L');//
			    endwhile;				


			        $pdf->Cell(20,5,'Total:',1,0,'L');//lab nome
			        $pdf->Cell(20,5,$somaPagamentos,1,0,'L');//lab nome
			        $pdf->Cell(134,5,'-',1,0,'L');//
			        $pdf->Cell(20,5,'-',1,1,'L');//



ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
